<?
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}
?>
<script type="text/javascript">
$('.refbay, .refbron, .infref').tipTip();

function gofilter(mode) {
    setCookie("refbirj",mode,"Mon, 01-Jan-2020 00:00:00 GMT");
    FLAX.Html.thread['flax'].repeat();
    return false;
}

function setCookie (name, value, expires, path, domain, secure) {
    document.cookie = name + "=" + escape(value) +
    ((expires) ? "; expires=" + expires : "") +
    ((path) ? "; path=" + path : "") +
    ((domain) ? "; domain=" + domain : "") +
    ((secure) ? "; secure" : "");
}

function inforef (id) {
    $('#q_content').Qbox({
        'title': '',
        'width': 410,
        'minHeight': 100,
        'fadespeed': 300,
        'url': 'referalinfo.php',
        'param': 'usid='+id
    });
    return false;
}

function payref(tid) {
    $.post('addtobask.php?func=ref',{
        id: tid
    }, function(data){
        if (data == 1){
            alert('Сумма добавлена в корзину');
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Ярмарка рефералов</h3>
Друг! Купи реферала! На <span class='seosprint'><?=$sitename ?></span> пользователи начиная со статуса <a href='/status' class="link">&laquo;Бригадир&raquo;</a> имеют право продавать своих рефераллов, если они отвечают определённым требованиям. А любой желающий может их купить, ведь рефераллы — это основа хорошего заработка. Ещё рефералов можно привлекать <a href='/reflinks' class="link">самостоятельно</a>. <b><?=$sitename ?></b> только предоставляет торговую площадку и не несёт ответственности за качество продаваемых рефералов.<br />
<?
$filterbirj = 0;
if (isset($_COOKIE['refbirj'])) {
    $filterbirj = $_COOKIE['refbirj'];
}

if ($filterbirj == 1) {
    $zapros = 'ORDER BY id ASC';
}
if ($filterbirj == 2) {
    $zapros = 'ORDER BY rname ASC';
}
if ($filterbirj == 3) {
    $zapros = 'ORDER BY trid ASC';
}
if ($filterbirj == 4) {
    $zapros = 'ORDER BY rref DESC';
}
if ($filterbirj == 5) {
    $zapros = 'ORDER BY price DESC';
}

$kolvo = 10;
$all = mysql_num_rows(mysql_query("SELECT id FROM seo_refbirj $zapros"));
$allpage = ceil($all/$kolvo);
$this_page = (isset($_GET['pg'])) ? intval($_GET['pg']) : 1 ;
if ($this_page < 1) $this_page = 1;
if ($this_page > $allpage) $this_page = $allpage;
$start = $this_page * $kolvo - $kolvo;
if ($start == -10) { $start = 1; }

include_once 'functiones.php';

echo "<br /><table width='100%' style='margin-bottom: 5px;'><tr><td nowrap='nowrap'>";
$nextp = $this_page + 1;
$lastp = $this_page - 1;
if ($this_page > 1) { echo "<a href='/refbirj/pg=$lastp' class=\"link\"><span class='text14'>"; } else { echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";
if ($this_page == 1) { echo "</a>"; } echo "</td><td width='90%' align='center'>". navigation($allpage,'/refbirj/pg=',1,1)."</td><td nowrap='nowrap'>";
if ($this_page == $allpage) { echo "<span class='textgray'>"; } else { echo "<a href='/refbirj/pg=$nextp' class=\"link\"><span class='text14'>"; } echo "Следующие&nbsp;&rarr;</span>"; 
if ($this_page == $allpage) { echo "</a>"; } echo "</td></tr></table>";

$sql = mysql_query("SELECT * FROM seo_refbirj $zapros limit $start,$kolvo");
?>
<table width="100%" border="0" cellpadding="0" cellspacing="1" class="otab">
    <thead>
        <th colspan="2" style="background: #ebebeb; padding: 5px;" align="center"><a href="#" onclick="javascript:gofilter(1);" class="link">ID</a>, <a href="#" onclick="javascript:gofilter(2);" class="link">имя реферала</a>, <a href="#" onclick="javascript:gofilter(3);" class="link">продавец</a></th>
        <th style="background: #ebebeb;" width="40" align="center"><a href="#" onclick="javascript:gofilter(4);"><img src="theme/img/history/bt2.png" width="24" height="24" border="0" /></a></th>
        <th style="background: #ebebeb;" align="center" width="80"><a href="#" onclick="javascript:gofilter(5);" class="link">Цена</a></th>
        <th style="background: #ebebeb;" align="center" width="60"></th>
    </thead>
    <?
    while ($row = mysql_fetch_array($sql)) {
        if ($row['rid'] == $_SESSION['iduser']) {
            $img = '<img src="theme/img/alert.png" width="24" height="24" title="Вы не можете купить самого себя" class="refbron" />';
        } else
        if ($row['trid'] == $_SESSION['iduser']) {
            $img = '<img src="theme/img/alert.png" width="24" height="24" title="Вы продавец этого реферала" class="refbron" />';
        } else
        /*if ($byme['referer'] == $row['rid']) {
            $img = '<img src="theme/img/alert.png" width="24" height="24" title="Ваш реферер" class="refbron" />';
        } else*/
        if ($row['bron'] == 1) {
            $img = '<img src="theme/img/ref_bron.png" width="24" height="24" title="Реферал забронирован" class="refbron" />';
        } else {
            $img = '<a class="refbay" href="#" title="Купить реферала" onclick="payref('.$row['rid'].')"></a>';
        }
        $getus = mysql_fetch_array(mysql_query("SELECT id FROM tb_users WHERE id = '" . $row['rid'] . "'"));
        $ref1 = mysql_fetch_array(mysql_query("SELECT count(*)as count FROM tb_users WHERE referer = '" . $getus['id'] . "'"));
        mysql_query("UPDATE seo_refbirj SET rref = '" . $ref1['count'] . "' WHERE rid = '" . $row['rid'] . "'");
        $stat_referal_x = mysql_fetch_array( mysql_query( "SELECT * FROM tb_users WHERE `username` = '" . $row['rname'] . "'" ) );
		?>
        <tr>
            <td class="rt" valign="center" >
			    <a href="/id<?=$row['rid']?>" style="margin-top: -25px;">
			        <img src="/avp/<?=$stat_referal_x['avatar']?>" class="avatar" width="30" height="30" align="left" style="margin-right:-40px; margin-top: 5px;" />
			    </a>
			</td>	
			<td class="lt" valign="left" >	
			    <div class="refinf">
			        <font color="#286286">ID: <?=$row['rid']?></font><br />
			        <font color="#1C62B9">Логин: <?=$row['rname']?></font><br>
			        <font color="#1C62B9">ID Продавца: <?=$row['trid']?></font>
			        <a href="#" onclick="inforef(<?=$row['rid']?>)" class="infref" title="Расширенная статистика"></a>
			    </div>
			</td>
            <td class="rt" align="center"><?=$ref1['count']?></td>
            <td class="rt" align="center"><?=$row['price']?></td>
            <td class="lt" align="center"><?=$img?></td>
        </tr>
        <?
    }
    ?>
</table>